#!/bin/bash

echo -e ''
echo -e "\033[32m============ ddns-go for pfSense一键安装脚本 ==============\033[0m"
echo -e ''

# 定义颜色变量
GREEN="\033[32m"
YELLOW="\033[33m"
RED="\033[31m"
CYAN="\033[36m"
RESET="\033[0m"

# 定义目录变量
ROOT="/usr/local"
BIN_DIR="$ROOT/bin"
WWW_DIR="$ROOT/www"
MENU_DIR="$ROOT/share/pfSense/menu"

# 定义日志函数
log() {
    local color="$1"
    local message="$2"
    echo -e "${color}${message}${RESET}"
}

# 复制文件
log "$YELLOW" "复制文件..."
log "$YELLOW" "生成菜单..."
cp -f bin/* "$BIN_DIR/" || log "$RED" "bin 文件复制失败！"
cp -f www/* "$WWW_DIR/" || log "$RED" "www 文件复制失败！"
cp -R menu/* "$MENU_DIR/" || log "$RED" "menu 文件复制失败！"

# 设置执行权限
log "$YELLOW" "添加执行权限..."
    chmod +x /usr/local/bin/ddns-go
echo ""

# 设置开机启动脚本
log "$YELLOW" "添加开机启动命令："
log "$GREEN" "参考博客教程，在shellcmd插件里添加开机启动命令。"
echo ""

# 完成提示
log "$YELLOW" "安装完成..."
log "$GREEN" "进入防火墙Web界面，刷新浏览器，然后导航到服务 > DDNG-GO菜单进行操作。"
echo ""